IF OBJECT_ID('dbo.PK_SUA_PorId') IS NOT NULL
	ALTER TABLE Seg_Usuarios_Audit  DROP CONSTRAINT PK_SUA_PorId
GO


IF COL_LENGTH('Seg_Usuarios_Audit', 'Id_Seg_User_Audit') IS NULL 
BEGIN
	ALTER TABLE Seg_Usuarios_Audit ADD Id_Seg_User_Audit BIGINT IDENTITY(1,1)
END
GO



IF COL_LENGTH('Seg_Usuarios_Audit', 'Fecha') IS NULL 
BEGIN
	ALTER TABLE Seg_Usuarios_Audit ADD Fecha DATETIME DEFAULT(GETDATE())
END
GO

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorAnalisis', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorAnalisis     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorCli', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorCli     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorLote', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorLote     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorNom', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorNom     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorPar', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorPar     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorProc', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorProc     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorProd', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorProd     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorProv', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorProv     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorTrans', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorTrans     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorUsu', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorUsu     ON Seg_Usuarios_Audit

IF IndexProperty(Object_Id('Seg_Usuarios_Audit'), 'IX_SUA_PorVal', 'IndexID') IS NOT  NULL
	DROP INDEX  IX_SUA_PorVal     ON Seg_Usuarios_Audit

ALTER TABLE Seg_Usuarios_Audit ALTER COLUMN Id_Audit DECIMAL(20) NULL
GO

IF OBJECT_ID('dbo.PK_SUA_PorId') IS NULL
	ALTER TABLE Seg_Usuarios_Audit  ADD CONSTRAINT PK_SUA_PorId PRIMARY KEY (Id_Seg_User_Audit)
GO
